﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using DHTMLX.Scheduler.Data;

namespace SchedulerNetAsp
{
   
    /// <summary>
    /// </summary>
    public class Data : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/json";
            if (context.Request.QueryString["recurring"] == null)
            {
                context.Response.Write(
                    new SchedulerAjaxData(new SchedulerDataContext().Events)
                    );
            }
            else
            {
                context.Response.Write(
                    new SchedulerAjaxData(new SchedulerDataContext().Recurrings)
                    );
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}